package com.fos.modules.tableOrder.entity;

import com.alibaba.fastjson.annotation.JSONField;
import com.fos.core.base.BaseEntity;

import java.util.Date;
import java.util.List;

/**
 * Created by Tony on 7/30/2016.
 */
public class TableOrderUserEntity extends BaseEntity {

    @JSONField(name="userName")
    private String userName;   //用户名

    @JSONField(name="nickName")
    private String nickName;       //昵称

    @JSONField(name="flightNo")
    private String flightNo;    //航班号

    @JSONField(name="arrive")
    private String arrive;      //目的地

    @JSONField(name="orderCode")
    private String orderCode;   //订单号

    @JSONField(name="createTime")
    private Date createTime;    //创建时间

    @JSONField(name="foodList")
    private List<TableOrderFoodConEntity> foodList;    //菜品

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getNickName() {
        return nickName;
    }

    public void setNickName(String nickName) {
        this.nickName = nickName;
    }

    public String getFlightNo() {
        return flightNo;
    }

    public void setFlightNo(String flightNo) {
        this.flightNo = flightNo;
    }

    public String getArrive() {
        return arrive;
    }

    public void setArrive(String arrive) {
        this.arrive = arrive;
    }

    public String getOrderCode() {
        return orderCode;
    }

    public void setOrderCode(String orderCode) {
        this.orderCode = orderCode;
    }

    public List<TableOrderFoodConEntity> getFoodList() {
        return foodList;
    }

    public void setFoodList(List<TableOrderFoodConEntity> foodList) {
        this.foodList = foodList;
    }
}
